
TextCritical.net - Bug #2740

Pressing enter on read-work page to go to a reference doesn't work correctly

05/15/2020 05:05 AM - Luke Murphey

Status: Closed Start date: 05/15/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 05/18/2020 05:30 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 05/19/2020 05:28 AM - Luke Murphey

Qs:

Is this due to a race condition?

Yes.

resolveReferenceDebounced must be done before goToReference() runs because divisions must be populated to get the URL

Solns:

Do a lookup on the reference before executing it (in a chain)

Obs: *

#3 - 05/19/2020 05:41 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/07/2024 1/1

http://www.tcpdf.org

